PHP Manual
Prev |  | Next

# mb_check_encoding

(no version information, might be only in CVS)

mb_check_encoding -- Check if the string is valid for the specified encoding

## Description

bool mb_check_encoding ( [string var [, string encoding]] )

mb_check_encoding() checks if the string is valid for the specified encoding. It is useful to prevent so-called "Invalid Encoding Attack".

## Parameters

`var`

  String to check. If it is omitted, this function checks all the input from the beginning of the request.

`encoding`

  Expected encoding.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
Multibyte String Functions | Up | mb_convert_case